# all my home stuff :3
{ configs, pkgs, lib, ... }:
{
	programs.home-manager.enable = true;
	# installing my packages uvu
	home.packages = with pkgs; [
		bat
		# freetube
		# gradience
		# firefox
		diceware
		pwgen
		kitty
		dino
		termpdfpy
		ripgrep
		syncthing
		armcord
		ripgrep
		tmate
		btop
		firefox
		# apostrophe
		# printrun
		warp
		# dialect
		# protonvpn-gui
		wl-clipboard
		adw-gtk3
	# some bullshit to get gnome apps to install withotu a prefix
	] ++ (with pkgs.gnome; with pkgs.gnomeExtensions; [
		gnome-tweaks
		dconf-editor
		night-theme-switcher
		rounded-window-corners
		appindicator
	]);

	# uh configure pass or something
	programs.password-store = {
		enable = true;
		package = pkgs.pass.withExtensions (exts: [ exts.pass-otp ]);
		settings = { 
			PASSWORD_STORE_DIR = "$HOME/.local/share/pass";
			PASSWORD_STORE_CLIP_TIME = "60";
		};
	};

	# enable the pass browser extension client for firefox
	programs.browserpass.enable = true;

	# don't uh, change this or something might break lol idk
	home.stateVersion = "22.11";
}
